/***********************************************************************
*           See Accompanying licence file QSAS_licence                 *
***********************************************************************/


#ifndef MINVAR
#define MINVAR   // if not defined, define and include rest of file.

#ifndef __cplusplus
#define __cplusplus
#endif

#include "PlotWindow.h"

#include "qdutil.h"
#include "qplug_if.h"
#include "qtpl.h"
#include "DvObj.h"


//#define VERBOSE_MV     // for extra diagnostics

/* C++ prototypes */

void mvplot(DvObject_var &vts_out, DvObject_var&Eigenvalues, DvObject_var &Rmatx);


QplugReturnStatus  MV_analyse(DvObject_var &ts_out,
                              DvObject_var &Eigenvalues,
                              DvObject_var &Rmatx);



extern "C" {


}  // end extern "C"
  
#endif    // end define MINVAR
