/***********************************************************************
*           See Accompanying licence file QSAS_licence                 *
***********************************************************************/


#ifndef MINVAR
#define MINVAR   // if not defined, define and include rest of file.

#ifndef __cplusplus
#define __cplusplus
#endif

#include "PlotWindow.h"
#include "qdutil.h"
#include "qplug_if.h"
#include "qtpl.h"
#include "DvObj.h"

//#define VERBOSE_MV   // uncomment for extra diagnostics


/* C++ prototypes */


void mvplot(DvObject_var &vts_out, 
            DvObject_var &Eigenvalues, DvObject_var &Rmatx, int constrained);

QplugReturnStatus  MV_analyseB0(DvObject_var &ts_out,
				DvObject_var &ts_out2,
				DvObject_var &Eigenvalues,
				DvObject_var &Rmatx, 
				DvObject_var &Proj_matx,
				DvObject_var &Covar_matx,
				int constrained,int nestsize,
				const char *SC__ID, const int Qsel=0);


extern "C" {


}  // end extern "C"
  
#endif    // end define MINVAR
