//  qds.cc
//
//  Qsas - Data Selection
//
//  Janet Barnes
//  April 2001
//

#include <qsize.h>

#include "qds.h"
#include "qdutil.h"
#include "qwui.h"

extern qwuiWindow* qsasWindow;

DsWidget::DsWidget(QWidget *parent):QWidget(parent)
{
  QSize qsasGUISize = qsasWindow->frameSize();
  this->setPalette(qApp->palette()); 
  QObject* data_select_filter=new DataSelectionFilter(); // ignores events
  
  _data_select_window = new DataSelectorWindow(this,"Data_Selection_Window");
  _data_select_window->setWindowTitle("Data Selection");
  _data_select_window->installEventFilter(data_select_filter);
  _data_select_window->move(50,25);
}


